Forge

Data Structures | Namespaces | Functions
surface.h File Reference
`#include <fg/defines.h>`

Go to the source code of this file.

## Data Structures
class | Surface
| Surface is a graph to display three dimensional data. More...

## Namespaces
| forge

## Functions
FGAPI fg_err | fg_create_surface (fg_surface *pSurface, const unsigned pXPoints, const unsigned pYPoints, const fg_dtype pType, const fg_plot_type pPlotType, const fg_marker_type pMarkerType)
| Create a Surface object. More...
FGAPI fg_err | fg_retain_surface (fg_surface *pOut, fg_surface pIn)
| Increase reference count of the resource. More...
FGAPI fg_err | fg_release_surface (fg_surface pSurface)
| Destroy surface object. More...
FGAPI fg_err | fg_set_surface_color (fg_surface pSurface, const float pRed, const float pGreen, const float pBlue, const float pAlpha)
| Set the color of surface. More...
FGAPI fg_err | fg_set_surface_legend (fg_surface pSurface, const char *pLegend)
| Set surface legend. More...
FGAPI fg_err | fg_get_surface_vertex_buffer (unsigned *pOut, const fg_surface pSurface)
| Get the resource identifier for vertices buffer. More...
FGAPI fg_err | fg_get_surface_color_buffer (unsigned *pOut, const fg_surface pSurface)
| Get the resource identifier for colors buffer. More...
FGAPI fg_err | fg_get_surface_alpha_buffer (unsigned *pOut, const fg_surface pSurface)
| Get the resource identifier for alpha values buffer. More...
FGAPI fg_err | fg_get_surface_vertex_buffer_size (unsigned *pOut, const fg_surface pSurface)
| Get the vertices buffer size in bytes. More...
FGAPI fg_err | fg_get_surface_color_buffer_size (unsigned *pOut, const fg_surface pSurface)
| Get the colors buffer size in bytes. More...
FGAPI fg_err | fg_get_surface_alpha_buffer_size (unsigned *pOut, const fg_surface pSurface)
| Get the alpha values buffer size in bytes. More...